%define url_ver	%(echo %{version} | cut -d. -f1)

Name:		deja-dup
Version:	48.3
Release:	%mkrel 1
Summary:	Simple backup tool and front-end for duplicity

Group:		Archiving/Backup
License:	GPLv3+
URL:		https://welcome.gnome.org/app/DejaDup/
Source0:	https://gitlab.gnome.org/World/deja-dup/-/archive/%{version}/deja-dup-%{version}.tar.bz2
BuildRequires:	meson
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	locales-en
BuildRequires:	vala
BuildRequires:	libxml2-utils
BuildRequires:	appstream-util
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libnautilus-extension-4)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(packagekit-glib2)
Requires:	duplicity
Requires:	python3-gobject3
Requires:	python3-pydrive2
Requires:	adwaita-icon-theme
Requires:	dconf

%description
Déjà Dup is a simple backup tool. It hides the complexity of doing backups the
'right way' (encrypted, off-site, and regular) and uses duplicity as the
back-end.

Features:
 - Support for local, remote, or cloud backup locations, such as Amazon S3
 - Securely encrypts and compresses your data
 - Incrementally backs up, letting you restore from any particular backup
 - Schedules regular backups
 - Integrates well into your GNOME desktop

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

#clean some unwanted files
rm -rf %{buildroot}%{_datadir}/icons/Humanity/

%find_lang %{name} --with-gnome --with-man --all-name

%files -f %{name}.lang
%doc NEWS.md README.md
%{_bindir}/deja-*
%{_metainfodir}/org.gnome.DejaDup.metainfo.xml
%{_datadir}/applications/org.gnome.DejaDup.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.DejaDup.gschema.xml
%{_iconsdir}/hicolor/*/*/org.gnome.DejaDup*.{svg,png}
%{_libdir}/%{name}/
%{_mandir}/man1/deja-dup*.1*
%{_sysconfdir}/xdg/autostart/org.gnome.DejaDup.Monitor.desktop
%{_libexecdir}/%{name}/
%{_datadir}/dbus-1/services/org.gnome.DejaDup.service


%changelog
* Sun Jul 20 2025 daviddavid <daviddavid> 48.3-1.mga10
+ Revision: 2257725
- new version 48.3

* Thu Jun 12 2025 mrambo3501 <mrambo3501> 48.2-1.mga10
+ Revision: 2190719
- version 48.2

* Mon Apr 21 2025 daviddavid <daviddavid> 48.1-1.mga10
+ Revision: 2177468
- new version 48.1

* Sat Mar 22 2025 daviddavid <daviddavid> 48.0-1.mga10
+ Revision: 2168355
- new version 48.0

* Tue Oct 01 2024 daviddavid <daviddavid> 47.0-1.mga10
+ Revision: 2102333
- new version 47.0

* Fri Aug 23 2024 mrambo3501 <mrambo3501> 46.1-1.mga10
+ Revision: 2089152
- version 46.1

* Fri Mar 22 2024 daviddavid <daviddavid> 45.2-1.mga10
+ Revision: 2051413
- new version 45.2

* Tue Dec 19 2023 papoteur <papoteur> 45.1-2.mga10
+ Revision: 2019452
- Mass Rebuild - Python 3.12

* Sun Dec 10 2023 papoteur <papoteur> 45.1-1.mga10
+ Revision: 2016939
- new 45.1

* Sun Feb 12 2023 mrambo3501 <mrambo3501> 44.0-1.mga9
+ Revision: 1940942
- version 44.0

* Wed Oct 19 2022 ghibo <ghibo> 43.4-1.mga9
+ Revision: 1897796
- Update to release 43.4.
- Fix for libnautilus-extension-4 in BR.

* Sun May 29 2022 wally <wally> 43.3-2.mga9
+ Revision: 1860667
- require python3-pydrive2

* Fri May 20 2022 wally <wally> 43.3-1.mga9
+ Revision: 1859512
- new version 43.3

* Tue Apr 05 2022 wally <wally> 43.2-1.mga9
+ Revision: 1845223
- new version 43.2

* Tue Apr 05 2022 umeabot <umeabot> 42.7-2.mga9
+ Revision: 1845091
- Mageia 9 Mass Rebuild

* Fri Apr 09 2021 daviddavid <daviddavid> 42.7-1.mga9
+ Revision: 1714316
- new version: 42.7
- switch to libhandy-1

* Thu Dec 17 2020 neoclust <neoclust> 42.6-1.mga8
+ Revision: 1660197
- New version 42.6
+ shlomif <shlomif>
- New version 41.2

* Tue Feb 18 2020 umeabot <umeabot> 40.6-2.mga8
+ Revision: 1539591
- Mageia 8 Mass Rebuild

* Mon Dec 09 2019 shlomif <shlomif> 40.6-1.mga8
+ Revision: 1465340
- New version 40.6

* Fri Nov 15 2019 daviddavid <daviddavid> 40.4-1.mga8
+ Revision: 1460607
- new version: 40.4

* Thu Nov 14 2019 daviddavid <daviddavid> 40.3-1.mga8
+ Revision: 1459994
- new version: 40.3

* Sat Aug 24 2019 daviddavid <daviddavid> 40.1-2.mga8
+ Revision: 1431535
- add upstream patch to fix build with vala 0.45.2+

* Sat Jul 06 2019 shlomif <shlomif> 40.1-1.mga8
+ Revision: 1419203
- New version 40.1

* Wed Apr 17 2019 umeabot <umeabot> 40.0-2.mga7
+ Revision: 1392144
- Rebuild with meson 0.50.1

* Tue Apr 16 2019 daviddavid <daviddavid> 40.0-1.mga7
+ Revision: 1391543
- new version: 40.0

* Mon Apr 15 2019 daviddavid <daviddavid> 39.1-1.mga7
+ Revision: 1390617
- new version: 39.1

* Fri Mar 15 2019 shlomif <shlomif> 38.4-1.mga7
+ Revision: 1377670
- New version 38.4

* Sat Jan 05 2019 daviddavid <daviddavid> 38.1-1.mga7
+ Revision: 1349366
- new version: 38.1

* Sun Sep 23 2018 umeabot <umeabot> 36.3-2.mga7
+ Revision: 1297421
- Mageia 7 Mass Rebuild

* Mon Dec 25 2017 wally <wally> 36.3-1.mga7
+ Revision: 1184725
- new version 36.3

* Tue Sep 12 2017 cjw <cjw> 34.3-3.mga7
+ Revision: 1153234
- fix for new find_lang

* Sun Jun 04 2017 luigiwalser <luigiwalser> 34.3-2.mga6
+ Revision: 1106595
- try to fix build with new vala

* Sat Jan 28 2017 wally <wally> 34.3-1.mga6
+ Revision: 1083759
- new version 34.3

* Wed Feb 10 2016 shlomif <shlomif> 34.1-1.mga6
+ Revision: 953337
- New version 34.1

* Tue Jun 30 2015 wally <wally> 34.0-1.mga6
+ Revision: 848706
- new version 34.0

* Sun Nov 09 2014 wally <wally> 32.0-1.mga5
+ Revision: 796134
- new version 32.0

* Wed Oct 15 2014 umeabot <umeabot> 30.0-4.mga5
+ Revision: 748411
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 30.0-3.mga5
+ Revision: 678707
- Mageia 5 Mass Rebuild
+ wally <wally>
- require adwaita-icon-theme instead of obsolete gnome-icon-theme-symbolic

* Thu Apr 17 2014 wally <wally> 30.0-2.mga5
+ Revision: 615482
- explicitly define build options

* Thu Apr 17 2014 wally <wally> 30.0-1.mga5
+ Revision: 615475
- new version 30.0
- switch to cmake
- don't drop appdata file

* Thu Nov 28 2013 philippem <philippem> 28.0-3.mga4
+ Revision: 554012
- fix widgets build

* Mon Oct 21 2013 umeabot <umeabot> 28.0-2.mga4
+ Revision: 539334
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 philippem <philippem> 28.0-1.mga4
+ Revision: 491992
- Update to 28.0

* Mon Jul 08 2013 philippem <philippem> 27.3.1-1.mga4
+ Revision: 451400
- Update to 27.3.1

* Sat Jun 15 2013 wally <wally> 26.0-1.mga4
+ Revision: 443325
- new version 26.0

* Sun Apr 07 2013 luigiwalser <luigiwalser> 24.0-5.mga3
+ Revision: 408787
- rebuild to really fix mga#9055

* Sun Mar 17 2013 lmenut <lmenut> 24.0-4.mga3
+ Revision: 403599
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Fri Jan 11 2013 umeabot <umeabot> 24.0-3.mga3
+ Revision: 348718
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 philippem <philippem> 24.0-2.mga3
+ Revision: 339059
- fix missing files

* Sat Sep 29 2012 wally <wally> 24.0-1.mga3
+ Revision: 300210
- new version 24.0

* Thu Sep 20 2012 wally <wally> 23.92-1.mga3
+ Revision: 296417
- new version 23.92

* Sat Sep 01 2012 wally <wally> 23.90-1.mga3
+ Revision: 287026
- new version 23.90
- drop patches from upstream
- BR locales-en to reduce warnings at build time

* Sat Aug 11 2012 wally <wally> 23.4-2.mga3
+ Revision: 280665
- require dconf to save configurations etc
- require gnome-icon-theme-symbolic for icons in GUI
- clean BRs and .spec

* Fri Aug 10 2012 wally <wally> 23.4-1.mga3
+ Revision: 280440
- new version 23.4
- add a patch to fix build with vala 0.17.4 (changes from upstream)

* Fri Feb 24 2012 philippem <philippem> 21.90-1.mga2
+ Revision: 213863
- Update to 21.90.

* Thu Nov 03 2011 philippem <philippem> 20.1-1.mga2
+ Revision: 162056
- Update to 20.1

* Wed Sep 21 2011 philippem <philippem> 19.92-1.mga2
+ Revision: 146469
- add help files
- fix BR missing istool and yelp-tools
- add Requires python-cloudfiles
- New upstream release
- Drop no longer needed build requires on po4a and unique-devel
- Add versioned requires on duplicity

* Sat Jul 02 2011 wally <wally> 19.3-1.mga2
+ Revision: 117475
- new version 19.3
- clean .spec
+ dmorgan <dmorgan>
- Rebuild against new libnotify

* Fri Mar 18 2011 philippem <philippem> 16.1.1-1.mga1
+ Revision: 74211
- https://launchpad.net/deja-dup/+announcement/7239
- Upstream bug fix release
- This release fixes a bug in that caused help documentation to not be translated

* Mon Mar 14 2011 misc <misc> 16.1-4.mga1
+ Revision: 71399
- use proper mandriva macros
- fix Group

* Thu Feb 24 2011 philippem <philippem> 16.1-3.mga1
+ Revision: 58974
+ rebuild (emptylog)

* Thu Feb 24 2011 philippem <philippem> 16.1-2.mga1
+ Revision: 58961
- clean post and pre

* Thu Feb 24 2011 philippem <philippem> 16.1-1.mga1
+ Revision: 58922
- imported package deja-dup


* Thu Feb 24 2011 Philippe Makowski <makowski.mageia@gmail.com> 16.1-1mga1
- initial import based on Fedora spec

